
Infrastructure - Bug #1586

ObjectLocation uses Identifier rather than Nodereference as type for nodeIdentiifier

2011-05-24 01:08 - Dave Vieglais

Status: Closed Start date: 2011-05-24

Priority: High Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_schemas Estimated time: 0.00 hour

Target version: Sprint-2011.21-Block.3   

Milestone:  Story Points:  

Product Version: *   

Description

NodeReference and Identifier both derive from NonEmptyString, but NodeReference is defined as a simple type whereas Identifier is

a complex type.

A: Is there a need for NodeIdentifier and Identifier to be separate?

B: If so, should NodeIdentifier be a complex type.

History

#1 - 2011-05-25 15:46 - Dave Vieglais

- Position set to 1

#2 - 2011-05-31 13:56 - Dave Vieglais

- Status changed from New to Closed

Changed ObjectLocation.nodeIdentifier to a NodeReference type from an Identifier type.

This change is committed in the trunk.
